import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormGroup, ReactiveFormsModule } from '@angular/forms';
import { UiRadiobuttonGroupModule } from '@ui/radiobutton-group/radiobutton-group.module';
import { SlutredovisningFormService } from '../slutredovisning-form.service';
import { SlutredovisningFormStep0Component } from './slutredovisning-form-step0.component';

describe('SlutredovisningFormStep0Component', () => {
  let component: SlutredovisningFormStep0Component;
  let fixture: ComponentFixture<SlutredovisningFormStep0Component>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [SlutredovisningFormStep0Component],
      imports: [ReactiveFormsModule, HttpClientTestingModule, UiRadiobuttonGroupModule],
      providers: [SlutredovisningFormService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SlutredovisningFormStep0Component);
    component = fixture.componentInstance;
    component.formGroup = new FormGroup({});
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
